Subject: [bug#37741] [PATCH 2/3] gnu: Add arm-trusted-firmware-rk3399.

From: Kever Yang <[email-masked]>
Date: Tue, 15 Oct 2019 14:38:31 +0800

Hi Vagrant,

On 2019/10/15 下午12:02, Vagrant Cascadian wrote:
> On 2019-10-14, [email-masked] wrote:
>> * gnu/packages/bootloaders.scm (arm-trusted-firmware-rk3399): New exported
>> variable.
> Thanks for working on this!
>
> Unfortunately this currently embeds a binary blob
> (plat/rockchip/rk3399/drivers/dp/hdcp.bin) with no license.
>
> I reported the issue upstream:
>
>    https://github.com/ARM-software/tf-issues/issues/651

I have send the patch to ATF to remove the hdpc.bin, you can comment on it.

https://review.trustedfirmware.org/c/TF-A/trusted-firmware-a/+/2194

Thanks,

- Kever

>
> The proposed solution would be to enable a build flag to disables the
> DRM feature that hdcp.bin is used for video streaming.
>
> I've talked with Kever Yang from Rockchip about getting the ability to
> disable the requirement for hdcp.bin upstream; I'm sure they'd welcome
> patches too!
>
> This would be good for both Debian and GNU Guix. There are several
> rk3399 platforms depending on it.
>
> live well,
>    vagrant